#ifndef __AUTOMATON_H__
#define __AUTOMATON_H__

#include <glib.h>

typedef struct _AtmState	AtmState;
typedef struct _Automaton	Automaton;

typedef gint	(*AtmHandler)	(gint source, gpointer data);

struct _AtmState
{
	GdkInputCondition condition;
	gint (*handler)(gint source, gpointer data);
};

struct _Automaton
{
	gint max;
	gint num;
	gint tag;
	guint timeout_tag;
	guint elapsed;
	gpointer data;
	AtmState *state;
	gint (*terminate)(gint source, gpointer data);
};

Automaton *automaton_create(gint num);
void automaton_destroy(Automaton *atm);
void automaton_input_cb(gpointer data, gint source,
			GdkInputCondition condition);

#endif /* __AUTOMATON_H__ */
