#ifndef __COMPOSE_H__
#define __COMPOSE_H__

#include <glib.h>
#include <gtk/gtkwidget.h>
#include <gtk/gtkitemfactory.h>

typedef struct _Compose		Compose;
typedef struct _AttachInfo	AttachInfo;

#include "procmsg.h"
#include "addressbook.h"

typedef enum
{
	COMPOSE_MAIL,
	COMPOSE_NEWS
} ComposeMode;

typedef enum
{
	COMPOSE_TO,
	COMPOSE_CC,
	COMPOSE_BCC
} ComposeEntryType;

struct _Compose
{
	GtkWidget *window;
	GtkWidget *vbox;
	GtkWidget *menubar;

	GtkWidget *handlebox;
	GtkWidget *toolbar;
	GtkWidget *send_btn;
	GtkWidget *insert_btn;
	GtkWidget *attach_btn;
	GtkWidget *sig_btn;
	GtkWidget *addrbook_btn;

	GtkWidget *vbox2;

	GtkWidget *table_vbox;
	GtkWidget *table;
	GtkWidget *to_entry;
	GtkWidget *subject_entry;
	GtkWidget *cc_entry;
	GtkWidget *bcc_hbox;
	GtkWidget *bcc_entry;
	GtkWidget *reply_hbox;
	GtkWidget *reply_entry;

	GtkWidget *paned;

	GtkWidget *attach_scrwin;
	GtkWidget *attach_clist;

	GtkWidget *scrolledwin;
	GtkWidget *text;

	GtkWidget *focused_editable;

	GtkWidget *popupmenu;

	GtkItemFactory *popupfactory;

	gchar	*replyto;
	gchar	*cc;
	gchar	*inreplyto;
	gchar	*references;
	gchar	*msgid;
	gchar	*boundary;

	gboolean use_bcc;
	gboolean use_replyto;
	gboolean use_attach;

	gboolean modified;

	GSList  *to_list;
};

struct _AttachInfo
{
	gchar *file;
	gchar *content_type;
	gchar *name;
	off_t size;
};

void compose_new	(void);
void compose_reply	(MsgInfo *msginfo);
void compose_quote	(MsgInfo *msginfo);
void compose_forward	(MsgInfo *msginfo);

void compose_entry_append	(Compose	  *compose,
				 const gchar	  *address,
				 ComposeEntryType  type);

GSList *compose_to_list_append		(GSList		*to_list,
					 const gchar	*str);
GSList *compose_to_list_remove_all	(GSList		*to_list);

#endif /* __COMPOSE_H__ */
