/* manage_window.c */

#include <glib.h>
#include <gtk/gtkwidget.h>
#include <gtk/gtkwindow.h>

#include "manage_window.h"
#include "utils.h"

static GtkWidget *focus_window;

gint manage_window_focus_in(GtkWidget *widget, GdkEventFocus *event,
			    gpointer data)
{
	debug_print("Focus in event: window: %08x\n", (guint)widget);

	focus_window = widget;

	return TRUE;
}

gint manage_window_focus_out(GtkWidget *widget, GdkEventFocus *event,
			     gpointer data)
{
	debug_print("Focused window: %08x\n", (guint)focus_window);
	debug_print("Focus out event: window: %08x\n", (guint)widget);

	if (focus_window == widget)
		focus_window = NULL;

	return TRUE;
}

void manage_window_set_transient(GtkWindow *window)
{
	debug_print("window = %08x, focus_window = %08x\n",
		    (guint)window, (guint)focus_window);

	if (window && focus_window)
		gtk_window_set_transient_for(window, GTK_WINDOW(focus_window));
}
