#ifndef __MESSAGEVIEW_H__
#define __MESSAGEVIEW_H__

#include <glib.h>
#include <gtk/gtkwidget.h>

typedef struct _MessageView	MessageView;

#include "mainwindow.h"
#include "headerview.h"
#include "textview.h"
#include "mimeview.h"

typedef enum
{
	MVIEW_TEXT,
	MVIEW_MIME
} MessageType;

struct _MessageView
{
	GtkWidget *paned;

	MessageType type;

	HeaderView *headerview;
	TextView *textview;
	MimeView *mimeview;

	MainWindow *mainwin;
};

MessageView *messageview_create		(void);
void messageview_init			(MessageView	*messageview);
void messageview_show			(MessageView	*messageview,
					 const gchar	*file);
void messageview_clear			(MessageView	*messageview);
void messageview_quote_color_set	(void);
void messageview_set_font		(void);
void messageview_copy_clipboard		(MessageView	*messageview);
void messageview_select_all		(MessageView	*messageview);
GtkWidget *messageview_get_text_widget	(MessageView	*messageview);

#endif /* __MESSAGEVIEW_H__ */
