#ifndef __XML_H__
#define __XML_H__

#include <glib.h>
#include <stdio.h>

#define XMLBUFSIZE	1024

typedef struct _XMLAttr		XMLAttr;
typedef struct _XMLTag		XMLTag;
typedef struct _XMLFile		XMLFile;

struct _XMLAttr
{
	gchar *name;
	gchar *value;
};

struct _XMLTag
{
	gchar *tag;
	GList *attr;
};

struct _XMLFile
{
	FILE *fp;

	gchar buf[XMLBUFSIZE];
	gchar *bufp;

	gchar *dtd;
	GList *tag_stack;
	guint level;
};

XMLFile *xml_open_file		(const gchar	*path);
void xml_close_file		(XMLFile	*file);
void xml_get_dtd		(XMLFile	*file);
void xml_parse_next_tag		(XMLFile	*file);
void xml_push_tag		(XMLFile	*file,
				 XMLTag		*tag);
void xml_pop_tag		(XMLFile	*file);
XMLTag *xml_get_current_tag	(XMLFile	*file);
GList *xml_get_current_tag_attr	(XMLFile	*file);
gchar *xml_get_element		(XMLFile	*file);
gchar *xml_read_line		(XMLFile	*file);
gboolean xml_compare_tag	(XMLFile	*file,
				 const gchar	*name);

#endif /* __XML_H__ */
